http:
  routers:
    api:
      rule: Host(`traefik.pvs.prism.eox.at`)
      entrypoints:
        - https
      service: api@internal
      middlewares:
        - apiauth
      tls:
        certResolver: default
  middlewares:
    apiauth:
      basicAuth:
        realm: "PRISM View Server (PVS)"
        usersFile: "/run/secrets/BASIC_AUTH_USERS_APIAUTH"
    auth:
      basicAuth:
        realm: "PRISM View Server (PVS)"
        usersFile: "/run/secrets/BASIC_AUTH_USERS_AUTH"
    compress:
      compress: {}
    redirect:
      redirectScheme:
        scheme: https
    cors:
      headers:
        accessControlAllowMethods:
          - GET
          - OPTIONS
          - POST
        accessControlAllowOriginList:
          - "*"
        accessControlMaxAge: 7200
        addVaryHeader: false
